This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1033009 - quota: after changing the soft-limit %age for directories and alert message for soft limit missing for root of the volume
quota: after changing the soft-limit %age for directories and alert message f...
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota (Show other bugs)
2.1
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Manikandan
storage-qa-internal@redhat.com
:
Depends On:
Blocks: 1282719
  Show dependency treegraph
 
Reported: 2013-11-21 07:01 EST by Saurabh
Modified: 2016-09-20 00:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1282719 (view as bug list)
Environment:
Last Closed: 2015-11-17 03:59:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2013-11-21 07:01:41 EST
Description of problem:

Well I could not see the soft-limit crossing alert message in the brick logs. 

This was seen creating directories and having different soft-limit %age for the directories in consideration. values other than the default-soft-limit.

Version-Release number of selected component (if applicable):
glusterfs-3.4.0.44rhs-1

How reproducible:
seen once, tried once

Steps to Reproduce:
1 create a volume of 6x2 type, start it.

2. gluster volume quota <vol-name> enable

3. gluster volume quota <vol-name> limit-usage / 100GB

4. gluster volume quota <vol-name> list

5. mount -t nfs/glusterfs/(or mount via SMB) <server-ip>:<vol-name> <mount-point>

6. create 10 directories.

7. first set the hard-limit

    gluster volume quota <vol-name> / 10GB

    now set the soft-limit in this manner, like keeping a difference of 10% for soft-limit between each directory.

    start with

 

    gluster volume quota <vol-name> soft-limit /dir1 10%

   ......

   gluster volume quota <vol-name> soft-limit /dir10 100%

8. start creating data in each directory. till limit reaches in each of them

9. gluster volume quota <vol-name> list

10. check brick logs


Actual results:
for root of the volume the soft-limit %age is still 80%, and the alert as intended is not seen from brick logs.

Expected results:
alert message for root of the volume is also expected.

Additional info:
[root@nfs1 ~]# gluster volume quota dist-rep13 list
                  Path                   Hard-limit Soft-limit   Used  Available
--------------------------------------------------------------------------------
/                                        100.0GB       80%     100.0GB  0Bytes
/alrt1                                    10.0GB       10%      10.0GB  0Bytes
/alrt2                                    10.0GB       20%      10.0GB  0Bytes
/alrt3                                    10.0GB       30%      10.0GB  0Bytes
/alrt4                                    10.0GB       40%      10.0GB  0Bytes
/alrt5                                    10.0GB       50%      10.0GB  0Bytes
/alrt6                                    10.0GB       60%      10.0GB  0Bytes
/alrt7                                    10.0GB       70%      10.0GB  0Bytes
/alrt8                                    10.0GB       80%      10.0GB  0Bytes
/alrt9                                    10.0GB       90%      10.0GB  0Bytes
/alrt10                                   10.0GB      100%       9.9GB  75.9MB

logs from node1,
[root@nfs1 ~]# less /var/log/glusterfs/bricks/rhs-bricks-d*r1-n13.log | grep "\sA\s"
[2013-11-21 07:27:01.966921] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 1.8GB used by /
[2013-11-21 07:58:08.252212] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.5GB used by /alrt1/
[2013-11-21 08:01:23.651556] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.8GB used by /alrt2/
[2013-11-21 08:04:52.996756] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 3.0GB used by /alrt3/
[2013-11-21 08:09:12.192865] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.3GB used by /alrt4/
[2013-11-21 08:12:38.765498] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.5GB used by /alrt5/
[2013-11-21 08:15:47.098630] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.5GB used by /alrt6/
[2013-11-21 08:19:48.221335] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
[2013-11-21 07:26:57.772638] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 1.6GB used by /
[2013-11-21 07:58:09.462367] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.6GB used by /alrt1/
[2013-11-21 08:01:21.686639] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.8GB used by /alrt2/
[2013-11-21 08:04:53.546831] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 3.1GB used by /alrt3/
[2013-11-21 08:08:59.976406] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.8GB used by /alrt4/
[2013-11-21 08:12:36.003728] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.4GB used by /alrt5/
[2013-11-21 08:15:44.393825] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.4GB used by /alrt6/
[2013-11-21 08:19:29.445706] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
[2013-11-21 08:26:00.742983] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 10.0GB used by /alrt9/
[2013-11-21 07:26:57.608173] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 1.6GB used by /
[2013-11-21 07:58:06.007939] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.4GB used by /alrt1/
[2013-11-21 08:01:21.354946] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.7GB used by /alrt2/
[2013-11-21 08:04:52.596068] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 3.0GB used by /alrt3/
[2013-11-21 08:04:52.596117] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 3.0GB used by /alrt3/
[2013-11-21 08:09:15.094762] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.5GB used by /alrt4/
[2013-11-21 08:12:23.324965] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.8GB used by /alrt5/
[2013-11-21 08:15:47.817162] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.6GB used by /alrt6/
[2013-11-21 08:19:45.524733] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
[2013-11-21 08:22:56.366893] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 10.0GB used by /alrt8/


logs from node2,
[root@nfs2 ~]# less /var/log/glusterfs/bricks/rhs-bricks-d*r2-n13.log | grep "\sA\s"
[2013-11-21 07:27:01.975020] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 1.8GB used by /
[2013-11-21 07:58:08.236511] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.5GB used by /alrt1/
[2013-11-21 08:01:23.639560] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.8GB used by /alrt2/
[2013-11-21 08:04:52.987752] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 3.0GB used by /alrt3/
[2013-11-21 08:09:12.189784] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.3GB used by /alrt4/
[2013-11-21 08:12:38.763035] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.5GB used by /alrt5/
[2013-11-21 08:15:47.096241] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.5GB used by /alrt6/
[2013-11-21 08:19:48.215720] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
[2013-11-21 07:26:57.779062] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 1.6GB used by /
[2013-11-21 07:58:09.446952] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.6GB used by /alrt1/
[2013-11-21 08:01:21.674140] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.8GB used by /alrt2/
[2013-11-21 08:04:53.538172] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 3.1GB used by /alrt3/
[2013-11-21 08:08:59.971554] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.8GB used by /alrt4/
[2013-11-21 08:12:36.004168] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.4GB used by /alrt5/
[2013-11-21 08:15:44.393091] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.4GB used by /alrt6/
[2013-11-21 08:19:29.478693] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
[2013-11-21 08:26:00.742850] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 10.0GB used by /alrt9/
[2013-11-21 07:26:57.614928] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 1.6GB used by /
[2013-11-21 07:58:06.010056] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.4GB used by /alrt1/
[2013-11-21 08:01:21.345442] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.7GB used by /alrt2/
[2013-11-21 08:04:52.566869] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 3.0GB used by /alrt3/
[2013-11-21 08:09:15.089800] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.5GB used by /alrt4/
[2013-11-21 08:12:23.324151] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.8GB used by /alrt5/
[2013-11-21 08:15:47.814760] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.6GB used by /alrt6/
[2013-11-21 08:19:45.527714] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
[2013-11-21 08:22:56.366905] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 10.0GB used by /alrt8/

logs from node3,
root@nfs3 ~]# less /var/log/glusterfs/bricks/rhs-bricks-d*r1-n13.log | grep "\sA\s"
[2013-11-21 07:26:58.544754] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 1.7GB used by /
[2013-11-21 07:58:09.927551] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.6GB used by /alrt1/
[2013-11-21 08:01:26.507541] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 3.0GB used by /alrt2/
[2013-11-21 08:04:58.549451] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 3.4GB used by /alrt3/
[2013-11-21 08:08:58.015643] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.7GB used by /alrt4/
[2013-11-21 08:12:39.096730] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.5GB used by /alrt5/
[2013-11-21 08:15:52.842096] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.9GB used by /alrt6/
[2013-11-21 08:19:25.798985] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
[2013-11-21 08:19:25.799026] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
[2013-11-21 07:27:01.214171] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 1.8GB used by /
[2013-11-21 07:58:07.457640] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.5GB used by /alrt1/
[2013-11-21 08:01:25.491265] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.9GB used by /alrt2/
[2013-11-21 08:04:57.926841] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 3.0GB used by /alrt3/
[2013-11-21 08:09:01.081213] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.9GB used by /alrt4/
[2013-11-21 08:12:22.062378] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.7GB used by /alrt5/
[2013-11-21 08:15:48.144416] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.7GB used by /alrt6/
[2013-11-21 08:19:22.401112] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
[2013-11-21 08:25:59.012717] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 10.0GB used by /alrt9/
[2013-11-21 07:26:57.191624] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 1.6GB used by /
[2013-11-21 07:58:06.723747] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.5GB used by /alrt1/
[2013-11-21 08:01:20.525345] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.7GB used by /alrt2/
[2013-11-21 08:04:55.218624] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 3.3GB used by /alrt3/
[2013-11-21 08:09:15.426820] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.5GB used by /alrt4/
[2013-11-21 08:12:25.083216] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.9GB used by /alrt5/
[2013-11-21 08:15:50.666222] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.8GB used by /alrt6/
[2013-11-21 08:19:11.513291] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/

logs from node4,
[root@nfs4 ~]# less /var/log/glusterfs/bricks/rhs-bricks-d*r2-n13.log | grep "\sA\s"
[2013-11-21 07:26:58.528972] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 1.7GB used by /
[2013-11-21 07:58:09.873771] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.6GB used by /alrt1/
[2013-11-21 08:01:26.453664] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 3.0GB used by /alrt2/
[2013-11-21 08:04:58.499642] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 3.4GB used by /alrt3/
[2013-11-21 08:08:58.192570] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.7GB used by /alrt4/
[2013-11-21 08:12:39.047306] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.5GB used by /alrt5/
[2013-11-21 08:15:52.792038] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.9GB used by /alrt6/
[2013-11-21 08:19:25.825424] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
[2013-11-21 07:27:01.197525] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 1.8GB used by /
[2013-11-21 07:58:07.404454] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.5GB used by /alrt1/
[2013-11-21 08:01:25.438866] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.9GB used by /alrt2/
[2013-11-21 08:04:57.912982] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 3.0GB used by /alrt3/
[2013-11-21 08:09:01.033579] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.9GB used by /alrt4/
[2013-11-21 08:12:22.029748] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.7GB used by /alrt5/
[2013-11-21 08:15:48.094718] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.7GB used by /alrt6/
[2013-11-21 08:19:22.345667] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
[2013-11-21 08:25:59.021994] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 10.0GB used by /alrt9/
[2013-11-21 07:26:57.108012] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 1.6GB used by /
[2013-11-21 07:26:57.108719] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 1.6GB used by /
[2013-11-21 07:26:57.108374] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 1.6GB used by /
[2013-11-21 07:58:06.670690] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.5GB used by /alrt1/
[2013-11-21 08:01:20.473515] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 2.7GB used by /alrt2/
[2013-11-21 08:04:55.179834] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 3.3GB used by /alrt3/
[2013-11-21 08:09:15.378063] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.5GB used by /alrt4/
[2013-11-21 08:12:25.143965] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 5.9GB used by /alrt5/
[2013-11-21 08:15:50.615263] A [quota.c:3670:quota_log_usage] 0-dist-rep13-quota: Usage is above soft limit: 6.8GB used by /alrt6/
[2013-11-21 08:19:11.454957] A [quota.c:3664:quota_log_usage] 0-dist-rep13-quota: Usage crossed soft limit: 7.0GB used by /alrt7/
Comment 3 Vijaikumar Mallikarjuna 2015-11-17 03:59:22 EST
As 2.1 is EOL'ed, closing this bug and filed 3.1 bug# 1282719

Note You need to log in before you can comment on or make changes to this bug.